#ifndef QCOLORMAPLEGENDMARKER_P_H
#define QCOLORMAPLEGENDMARKER_P_H

#include <QtCharts/QChartGlobal>
#include <private/qlegendmarker_p.h>
#include <private/legendmarkeritem_p.h>
#include <QtCharts/QColorMapSeries>

QT_CHARTS_BEGIN_NAMESPACE

class QColorMapLegendMarker;

class QColorMapLegendMarkerPrivate : public QLegendMarkerPrivate
{
    Q_OBJECT
public:
    explicit QColorMapLegendMarkerPrivate(QColorMapLegendMarker *q, QColorMapSeries *series, QLegend *legend);
    virtual ~QColorMapLegendMarkerPrivate();

    virtual QAbstractSeries* series();
    virtual QObject* relatedObject();

public Q_SLOTS:
    virtual void updated();

private:
    QColorMapLegendMarker *q_ptr;
    QColorMapSeries *m_series;

    Q_DECLARE_PUBLIC(QColorMapLegendMarker)
};

QT_CHARTS_END_NAMESPACE

#endif // QCOLORMAPLEGENDMARKER_P_H
